Package org.postgresql.sspi

# Interface ISSPIClient

All Known Implementing Classes:
  `SSPIClient`

public interface ISSPIClient

Use Waffle-JNI to support SSPI authentication when PgJDBC is running on a Windows client and talking to a Windows server.

SSPI is not supported on a non-Windows client.

## Method Summary

Modifier and Type
Method
Description
`void`
`continueSSPI(int msgLength)`
`void`
`dispose()`
`boolean`
`isSSPISupported()`
`void`
`startSSPI()`

## Method Details

### isSSPISupported

boolean isSSPISupported()

### startSSPI

void startSSPI() throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`

### continueSSPI

void continueSSPI(int msgLength) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`

### dispose

void dispose()